---
title: "assistant.threads.setSuggestedPrompts API method"
summary: "Set suggested prompts for the given assistant thread"
url: "https://docs.slack.dev/reference/methods/assistant.threads.setSuggestedPrompts"
type: "reference"
subtype: "method"
method_name: "assistant.threads.setSuggestedPrompts"
http_method: "POST"
rate_limit: "t4"
scopes:
  bot: ["assistant:write"]
---

Source: https://docs.slack.dev/reference/methods/assistant.threads.setSuggestedPrompts

# assistant.threads.setSuggestedPrompts method

DocsCall generator

## Facts {#facts}

**Description**Set suggested prompts for the given assistant thread

**Method Access**

*   HTTP
*   Slack CLI
*   JavaScript
*   Python
*   Java

```
POST https://slack.com/api/assistant.threads.setSuggestedPrompts
```

[![slack-cli](https://docs.slack.dev/img/logos/slack-cli.png)](/tools/slack-cli)

```
slack api assistant.threads.setSuggestedPrompts
```

[![bolt-js](https://docs.slack.dev/img/logos/bolt-js-logo.svg)](/tools/bolt-js)

```
app.client.assistant.threads.setSuggestedPrompts
```

[![bolt-py](https://docs.slack.dev/img/logos/bolt-py-logo.svg)](/tools/bolt-python)

```
app.client.assistant_threads_setSuggestedPrompts
```

[![bolt-java](https://docs.slack.dev/img/logos/bolt-java-logo.svg)](/tools/java-slack-sdk/guides/getting-started-with-bolt)

```
app.client().assistantThreadsSetSuggestedPrompts
```

**Scopes**

Bot token:

[`assistant:write`](https://docs.slack.dev/reference/scopes/assistant.write.md)

**Content types**

`application/x-www-form-urlencoded`

`application/json`

**Rate Limits**[Tier 4: 100+ per minute](https://docs.slack.dev/apis/web-api/rate-limits.md)

## Arguments {#arguments}

### Required arguments

**`token`**`string`Required

Token with which to authenticate the session

_Example:_ `xxxx-xxxxxxxxx-xxxx`

**`channel_id`**Required

Channel ID containing the assistant thread.

**`prompts`**Required

Each prompt should be supplied with its `title` and `message` attribute.

### Optional arguments

**`thread_ts`**`string`Optional

Message timestamp of the thread to set suggested prompts for. If not provided, the prompts will be set for the latest message in the channel.

**`title`**`string`Optional

Title for the list of provided prompts. For example: Suggested Prompts, Related Questions.

## Usage info {#usage-info}

Use this method to set up to four suggested prompts in an app thread.

This method accepts both an optional `title` attribute to describe the entire list of prompts, as well as the prompt list. Each prompt in the list should have a `title` and `message` attribute defined.

The `thread_ts` parameter should only be used in the legacy assistant messaging experience. Including it in a call for an agent app will cause the call to silently fail. You can verify whether your app is an assistant or agent by looking in the manifest file for either an `"assistant_view"` or `"agent_view"` setting. To migrate from the legacy `assistant_view` to `agent_view`, follow the [migration instructions](https://docs.slack.dev/ai/migrating-to-agent-messaging.md).

In the default [Agent messaging experience](https://docs.slack.dev/changelog/2026/06/30/agent-messages-tab.md), suggested prompts live at the top of the Messages tab instead of within threads. A user with many interactions with your app may need to scroll to the top of the DM to see them. This diverges if the app is using the legacy assistant messaging experience.

Example request:

```json
{
   "channel_id": "D2345SFDG",
   "thread_ts": "1724264405.531769", //This field is optional
   "title": "Welcome. What can I do for you?",
   "prompts": [
         {
            "title": "Generate ideas",
            "message": "Pretend you are a marketing associate and you need new ideas for an enterprise productivity feature. Generate 10 ideas for a new feature launch.",
          },
          {
            "title": "Explain what SLACK stands for",
            "message": "What does SLACK stand for?",
          },
          {
            "title": "Describe how AI works",
            "message": "How does artificial intelligence work?",
          },
   ]
}

```

* * *

## Response {#response}

#### Typical success response

```json
{
  "ok": true
}
```

#### Typical error response for invalid thread

```json
{
  "ok": false,
  "error": "invalid_thread_ts",
  "detail": "Thread not found"
}
```

## Errors {#errors}

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the `ok` parameter in the response.

Error

Description

`access_denied`

Access to a resource specified in the request is denied.

`accesslimited`

Access to this method is limited on the current network

`account_inactive`

Authentication token is for a deleted user or workspace when using a `bot` token.

`channel_not_found`

Error returned when given an invalid channel\_id

`deprecated_endpoint`

The endpoint has been deprecated.

`ekm_access_denied`

Administrators have suspended the ability to post a message.

`enterprise_is_restricted`

The method cannot be called from an Enterprise.

`fatal_error`

The server could not complete your operation(s) without encountering a catastrophic error. It's possible some aspect of the operation succeeded before the error was raised.

`internal_error`

The server could not complete your operation(s) without encountering an error, likely due to a transient issue on our end. It's possible some aspect of the operation succeeded before the error was raised.

`invalid_arg_name`

The method was passed an argument whose name falls outside the bounds of accepted or expected values. This includes very long names and names with non-alphanumeric characters other than `_`. If you get this error, it is typically an indication that you have made a _very_ malformed API call.

`invalid_arguments`

The method was called with invalid arguments.

`invalid_array_arg`

The method was passed an array as an argument. Please only input valid strings.

`invalid_auth`

Some aspect of authentication cannot be validated. Either the provided token is invalid or the request originates from an IP address disallowed from making the request.

`invalid_charset`

The method was called via a `POST` request, but the `charset` specified in the `Content-Type` header was invalid. Valid charset names are: `utf-8` `iso-8859-1`.

`invalid_form_data`

The method was called via a `POST` request with `Content-Type` `application/x-www-form-urlencoded` or `multipart/form-data`, but the form data was either missing or syntactically invalid.

`invalid_post_type`

The method was called via a `POST` request, but the specified `Content-Type` was invalid. Valid types are: `application/json` `application/x-www-form-urlencoded` `multipart/form-data` `text/plain`.

`invalid_thread_ts`

Thread not found

`message_not_found`

Error returned when given an invalid message

`method_deprecated`

The method has been deprecated.

`missing_argument`

A required argument was not provided. The response's `arg` field names the missing argument. Arguments sent in a JSON body are ignored by methods that don't list `application/json` as a content type.

`missing_post_type`

The method was called via a `POST` request and included a data payload, but the request did not include a `Content-Type` header.

`missing_scope`

The token used is not granted the specific scope permissions required to complete this request.

`missing_thread_ts`

Missing thread\_ts

`no_permission`

The workspace token used in this request does not have the permissions necessary to complete the request. Make sure your app is a member of the conversation it's attempting to post a message to.

`not_agent_app`

This method requires the app to be configured as an agent. Enable the Agent feature in your app configuration at https://api.slack.com/apps.

`not_allowed_token_type`

The token type used in this request is not allowed.

`not_authed`

No authentication token provided.

`org_login_required`

The workspace is undergoing an enterprise migration and will not be available until migration is complete.

`ratelimited`

The request has been ratelimited. Refer to the `Retry-After` header for when to retry the request.

`request_timeout`

The method was called via a `POST` request, but the `POST` data was either missing or truncated.

`service_unavailable`

The service is temporarily unavailable

`static_prompts_configured`

Suggested prompts can't be set dynamically without thread\_ts because the app already has static suggested prompts configured. Remove the static prompts in your app configuration to set them via this method without thread\_ts.

`team_access_not_granted`

The token used is not granted the specific workspace access required to complete this request.

`team_added_to_org`

The workspace associated with your request is currently undergoing migration to an Enterprise Organization. Web API and other platform operations will be intermittently unavailable until the transition is complete.

`token_expired`

Authentication token has expired

`token_revoked`

Authentication token is for a deleted user or workspace or the app has been removed when using a `user` token.

`two_factor_setup_required`

Two factor setup is required.
